.input {
  display: block;
  position: relative;

  &__field {
    display: block;
    width: 100%;
    padding: 16px 12px;
    background-color: $bg;
    box-shadow: 0 0 0 1px $border-main;
    border-radius: 4px;
    caret-color: $accent;
    font-weight: 500;
    font-size: 16px;
    line-height: 24px;
    transition: box-shadow $easing;
  }

  &__placeholder {
    pointer-events: none;
    position: absolute;
    left: 12px;
    top: 16px;
    z-index: 1;
    color: $txt-sec;
    font-weight: 400;
    font-size: 16px;
    line-height: 24px;
    transition: opacity $easing, color $easing;
  }

  &__error-text {
    font-size: 14px;
    line-height: 18px;
    font-weight: 400;
    display: block;
    bottom: -4px;
    position: absolute;
    transform: translateY(100%);
  }

  &:hover &__field {
    box-shadow: 0 0 0 2px $border-main;
  }

  &__field:focus {
    box-shadow: 0 0 0 2px $border-main;

    ~ .input__placeholder {
      opacity: 0;
    }
  }

  &_filled & {
    &__placeholder {
      opacity: 0;
    }
  }

  &.error & {
    &__field {
      box-shadow: 0 0 0 2px $error;
    }

    &__placeholder,
    &__error-text {
      color: $error;
    }
  }
}
